# Configure template for whois3.
# Process this file with autoconf to produce a configure script.


dnl Autoconf checks if this file exists, otherwise it won't go on
AC_INIT(whois3.c)

PRODUCT=whois3
VERSION=3.1
AC_DEFINE_UNQUOTED(PRODUCT, "$PRODUCT")
AC_DEFINE_UNQUOTED(VERSION, "$VERSION")
AC_SUBST(PRODUCT)
AC_SUBST(VERSION)

dnl Checks for programs.
AC_PROG_CC
AC_PROG_INSTALL
AC_PROG_LN_S

dnl Checks for libraries.

dnl Checks for header files.
AC_HEADER_STDC
AC_CHECK_HEADERS(limits.h unistd.h)

dnl Checks for typedefs, structures, and compiler characteristics.
AC_C_CONST

dnl Checks for library functions.
AC_TYPE_SIGNAL
AC_LIBRARY_NET

AC_CHECK_FUNCS(strerror strtol)

AC_OUTPUT(Makefile)

